Subject: Re: bug#33248: python-minimal compilation is breaking

From: <[email-masked]>
Date: Sat, 3 Nov 2018 10:03:14 +0100 (CET)

I have 2GB Swap space
$  swapon --summary
Filename                Type        Size    Used    Priority
/dev/sda2                                  partition    2220500    182784    -2

Will adding swap be enough? How much and how to add?

# fdisk -l /dev/sda
Disk /dev/sda: 111.8 GiB, 120034123776 bytes, 234441648 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x4cc7fbcb

Device     Boot     Start       End   Sectors   Size Id Type
/dev/sda1            2048 230000000 229997953 109.7G 83 Linux
/dev/sda2       230000640 234441647   4441008   2.1G 82 Linux swap / Solaris

3. Nov 2018 11:49 by [email-masked] <mailto:[email-masked]>:

>
>
>  <> [email-masked] <mailto:[email-masked]>> > ezt írta (időpont: 2018. nov. 3., Szo 7:13):
>
>>           >> I am watching this bug on Lenovo G50-30 (CPU 2.1 GHz, 2Gb Ram):
>>
>> # guix pull  --substitute-urls=>> https://berlin.guixsd.org <https://berlin.guixsd.org>
>> Updating channel 'guix' from Git repository at '>> https://git.savannah.gnu.org/git/guix.git' <https://git.savannah.gnu.org/git/guix.git'>>> ...
>> Building from this channel:
>>   guix      >> https://git.savannah.gnu.org/git/guix.git <https://git.savannah.gnu.org/git/guix.git>>>     3995e85
>> Computing Guix derivation for 'x86_64-linux'... \
>> nothing to be done
>>
>> # guix package  --substitute-urls=>> https://berlin.guixsd.org <https://berlin.guixsd.org>>>  -u
>> substitute: updating substitutes from '>> https://berlin.guixsd.org <https://berlin.guixsd.org>>> '... 100.0%
>> substitute: updating substitutes from '>> https://berlin.guixsd.org <https://berlin.guixsd.org>>> '... 100.0%
>> building /gnu/store/6c4g38n9fhvnlk2vasn34mdd6nvpgx8m-python-minimal-3.6.5.drv...
>> /Killed
>> #
>>
>> Python-minimal cannot compile.
>>
>
> Most probably you are hitting a resource limit, I guess ram. Do you have any swap?
>>